Bug 149097 - vmlinux missing from kernel-xenU-devel
Summary: vmlinux missing from kernel-xenU-devel
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-18 17:46 UTC by Robin Green
Modified: 2015-01-04 22:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-19 04:43:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robin Green 2005-02-18 17:46:13 UTC
Description of problem: The file vmlinux is missing from kernel-xenU-devel, at
least in my build. This means that when I try to build the third-party module
loop-aes ( http://loop-aes.sf.net/ ) it fails at the modpost stage.

Version-Release number of selected component (if applicable):
kernel-xenU-devel-2.6.10-1.1142_FC4.root

How reproducible: Always

Steps to Reproduce:
1. Install kernel-xenU-devel-2.6.10-1.1142_FC4.root
2. rpm -ql kernel-xenU-devel|grep vmlinux
  
Actual results:
Only
/usr/src/kernels/2.6.10-1.1142_FC4.root-xenU-i686/include/asm-generic/vmlinux.lds.h
is shown

Expected results:
vmlinux itself should be included

Additional info:
I had to rpmbuild from source RPM in order to unselect the Linux kernel's loop
driver, which is required for loop-aes to work, according to the loop-aes docs.
So I haven't tried this with the RPM built by RH.

I got it to work by symlinking the vmlinux from my /usr/src/redhat/BUILD/...
directory. But this should not be necessary. It should be included in the -devel
rpm.

Comment 1 Dave Jones 2005-02-19 04:43:06 UTC
vmlinux lives in the -debuginfo package.
it's also very very unusual for a module build to require this, it smells broken.



Note You need to log in before you can comment on or make changes to this bug.